Groovy 1.7.0

## org.codehaus.groovy.util
Class AbstractConcurrentDoubleKeyMap

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap

    class AbstractConcurrentDoubleKeyMap
    extends AbstractConcurrentMapBase

Nested Class Summary
`interface` | `AbstractConcurrentDoubleKeyMap.Entry`
`class` | `AbstractConcurrentDoubleKeyMap.Segment`

Field Summary

Fields inherited from class AbstractConcurrentMapBase
MAXIMUM_CAPACITY, segments

Constructor Summary
`AbstractConcurrentDoubleKeyMap(Object segmentInfo)`

Method Summary
`V` | `get(K1 key1, K2 key2)`
`Entry` | `getOrPut(K1 key1, K2 key2, V value)`
`static int` | `hash(K1 key1, K2 key2)`
`void` | `put(K1 key1, K2 key2, V value)`
`void` | `remove(K1 key1, K2 key2)`
`Segment` | `segmentFor(int hash)`

Methods inherited from class AbstractConcurrentMapBase
createSegment, fullSize, hash, segmentFor, size

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### AbstractConcurrentDoubleKeyMap

    public AbstractConcurrentDoubleKeyMap(Object segmentInfo)

Method Detail

### get

    public V get(K1 key1, K2 key2)

### getOrPut

    public Entry getOrPut(K1 key1, K2 key2, V value)

### hash

    public static int hash(K1 key1, K2 key2)

### put

    public void put(K1 key1, K2 key2, V value)

### remove

    public void remove(K1 key1, K2 key2)

### segmentFor

    public final Segment segmentFor(int hash)

Copyright © 2003-2009 The Codehaus. All rights reserved.